Holger's Java API

## com.antelmann.util.logging
Class AbstractExceptionWriter

    java.lang.Object
      com.antelmann.util.logging.AbstractLogWriter<Throwable>
          com.antelmann.util.logging.AbstractExceptionWriter

All Implemented Interfaces:
  Filter<LogEntry>, LogWriter

Direct Known Subclasses:
  ExceptionDialogWriter

    public abstract class AbstractExceptionWriter

extends AbstractLogWriter<Throwable>

an abstract class to handle exceptions that occur in a LogEntry. By default it uses a filter that only accepts those entries that contain a Throwable.

Author:
  Holger Antelmann
See Also:
  `LogEntry.getThrown()`

Field Summary

Fields inherited from class com.antelmann.util.logging.AbstractLogWriter
`filter`

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`AbstractExceptionWriter()`

Method Summary

Methods inherited from class com.antelmann.util.logging.AbstractLogWriter
`accept, getLogFilter, getLogFormatter, setLogFilter, setLogFormatter, write, writeLogPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExceptionWriter

    public AbstractExceptionWriter()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads